<template>
  <div>
    <h2
      role="heading"
      aria-level="1"
      :aria-label="`product name ${productDetail.productName}`"
      :class="productStyle"
      class="font-secondary-font-regular text-4xl leading-10 mb-5 flex-grow"
    >
      {{ this.productDetail.productName }}
    </h2>
    <p
      role="article"
      :aria-label="`product description ${productDetail.productDescription}`"
      class="font-primary-font-light text-2xl leading-8"
    >
      {{ productDetail.productDescription }}
    </p>
  </div>
</template>
<script>
export default {
  name: 'MkProductDetails',
  props: {
    productDetail: {},
    productStyle: {
      type: String,
      default: '',
    },
  },
  data() {
    return {}
  },
  methods: {
    removeSpace() {
      const productName = this.productDetail && this.productDetail.productName
      const position =
        this.productDetail.productName.includes('+') &&
        this.productDetail.productName.indexOf('+')
      if (position) {
        return [
          productName.slice(0, position - 1),
          productName.slice(position),
        ].join('')
      } else {
        return productName
      }
    },
  },
}
</script>
